mia-2dtransformation-to-strain(1)

NAME
mia-2dtransformation-to-strain - Green strain tensor.

SYNOPSIS
mia-2dtransformation-to-strain -i <in-file> -o <out-file> [options]

DESCRIPTION
mia-2dtransformation-to-strain Evaluate the Green strain tensor corresponding to a given 2D transformation for each grid point.

OPTIONS

    -i --in-file=(input, required); io
        input transformation
         For supported file types see PLUGINS:2dtransform/io

    -o --out-file=(output, required); string
        output Green's strain tensor

  Help & Info

    -V --verbose=warning
        verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

        trace - Function call trace
        debug - Debug output
        info - Low level messages
        message - Normal messages
        warning - Warnings
        fail - Report test failures
        error - Report errors
        fatal - Report only fatal errors

    --copyright
        print copyright information

    -h --help
        print this help

    -? --usage
        print a short help

    --version
        print the version number and exit

  Processing

    --threads=-1
        Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

PLUGINS: 2dtransform/io

bbs Binary (non-portable) serialized IO of 2D transformations

    Recognized file extensions: .bbs

datapool
    Virtual IO to and from the internal data pool

    Recognized file extensions: .@

vista
    Vista storage of 2D transformations

    Recognized file extensions: .v2dt

xml XML serialized IO of 2D transformations

    Recognized file extensions: .x2dt

EXAMPLE
Evaluate the Green strain tensor from the transformation stored in trans.v and save it to output.v

mia-2dtransformation-to-strain -i trans.v -o output.mt

AUTHOR(s)
Gert Wollny

COPYRIGHT
This software is Copyright (c) 1999-2015 Leipzig, Germany and Madrid, Spain. It comes with ABSOLUTELY NO WARRANTY and you may redistribute it under the terms of the GNU GENERAL PUBLIC LICENSE Version 3 (or later). For more information run the program with the option '--copyright'.